Package com.enonic.xp.node

## Class Nodes

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntitySet<Node>
  - - com.enonic.xp.node.Nodes

- All Implemented Interfaces:
    `Iterable<Node>`

      @PublicApi
      public final class Nodes
      extends AbstractImmutableEntitySet<Node>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Nodes.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `set`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Nodes.Builder` | `create()` |
    `static Nodes` | `empty()` |
    `static Nodes` | `from​(Node... nodes)` |
    `static Nodes` | `from​(Iterable<? extends Node> nodes)` |
    `static Nodes` | `from​(Collection<? extends Node> nodes)` |
    `NodeIds` | `getIds()` |
    `Node` | `getNodeById​(NodeId nodeId)` | Deprecated.
    `NodePaths` | `getPaths()` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `contains, equals, first, getSet, getSize, hashCode, isEmpty, isNotEmpty, iterator, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### empty

          public static Nodes empty()

    - #### from

          public static Nodes from​(Node... nodes)

    - #### from

          public static Nodes from​(Iterable<? extends Node> nodes)

    - #### from

          public static Nodes from​(Collection<? extends Node> nodes)

    - #### create

          public static Nodes.Builder create()

    - #### getNodeById

          @Deprecated
          public Node getNodeById​(NodeId nodeId)

      Deprecated.

    - #### getPaths

          public NodePaths getPaths()

    - #### getIds

          public NodeIds getIds()